# -*- coding: utf-8 -*-
from allauth.socialaccount.providers.lemonldap.provider import LemonLDAPAccount, LemonLDAPProvider
from allauth.socialaccount import app_settings


class RisottoProvider(LemonLDAPProvider):
    id = "risotto"
    settings = app_settings.PROVIDERS.get('risotto', {})
    name = settings.get("LEMONLDAP_NAME", 'Risotto')
    account_class = LemonLDAPAccount


provider_classes = [RisottoProvider]
